Description: Fix typo in manpage
Author: Lucas Kanashiro <kanashiro.duarte@gmail.com>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2016-10-31

--- a/lib/Net/SSLeay.pod
+++ b/lib/Net/SSLeay.pod
@@ -493,7 +493,7 @@
 	die "certificate is not valid: $@";
     }
 
-    # But in array context it will return detailled information about each given
+    # But in array context it will return detailed information about each given
     # OCSP_CERTID instead croaking on errors:
     # if no @ids are given it will return information about all single responses
     # in the OCSP_RESPONSE
@@ -626,7 +626,7 @@
 =head3 Using callbacks
 
 Do not use callbacks across threads (the module blocks cross-thread callback operations
-and throws a warning). Allways do the callback setup, callback use and callback destruction
+and throws a warning). Always do the callback setup, callback use and callback destruction
 within the same thread.
 
 =head3 Using openssl elements
@@ -3114,7 +3114,7 @@
  my $rv = Net::SSLeay::accept($ssl);
  # $ssl - value corresponding to openssl's SSL structure
  #
- # returns: 1 = success, 0 = handshake not successfull, <0 = fatal error during handshake
+ # returns: 1 = success, 0 = handshake not successful, <0 = fatal error during handshake
 
 Check openssl doc L<http://www.openssl.org/docs/ssl/SSL_accept.html|http://www.openssl.org/docs/ssl/SSL_accept.html>
 
@@ -3174,7 +3174,7 @@
  my $rv = Net::SSLeay::connect($ssl);
  # $ssl - value corresponding to openssl's SSL structure
  #
- # returns: 1 = success, 0 = handshake not successfull, <0 = fatal error during handshake
+ # returns: 1 = success, 0 = handshake not successful, <0 = fatal error during handshake
 
 Check openssl doc L<http://www.openssl.org/docs/ssl/SSL_connect.html|http://www.openssl.org/docs/ssl/SSL_connect.html>
 
@@ -3215,7 +3215,7 @@
  my $rv = Net::SSLeay::do_handshake($ssl);
  # $ssl - value corresponding to openssl's SSL structure
  #
- # returns: 1 = success, 0 = handshake not successfull, <0 = fatal error during handshake
+ # returns: 1 = success, 0 = handshake not successful, <0 = fatal error during handshake
 
 Check openssl doc L<http://www.openssl.org/docs/ssl/SSL_do_handshake.html|http://www.openssl.org/docs/ssl/SSL_do_handshake.html>
 
--- a/lib/Net/SSLeay/Handle.pm
+++ b/lib/Net/SSLeay/Handle.pm
@@ -187,7 +187,7 @@
   my $debug = Net::SSLeay::Handle->debug()
   Net::SSLeay::Handle->debug(1)
 
-Get/set debuging mode. Always returns the debug value before the function call.
+Get/set debugging mode. Always returns the debug value before the function call.
 if an additional argument is given the debug option will be set to this value.
 
 =cut
